Mean (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.util.eval

## Class Mean

- java.lang.Object
- - opennlp.tools.util.eval.Mean

-     public class Mean
      extends Object

  Calculates the arithmetic mean of values added with the `add(double)` method.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Mean()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(double value)` Adds a value to the arithmetic mean.
    `void` | `add(double value, long count)` Adds a value count times to the arithmetic mean.
    `long` | `count()` Retrieves the number of times a value was added to the mean.
    `double` | `mean()` Retrieves the mean of all values added with `add(double)` or 0 if there are zero added values.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Mean

          public Mean()

  - ### Method Detail

    - #### add

          public void add(double value)

      Adds a value to the arithmetic mean.
      Parameters:
        `value` - the value which should be added to the arithmetic mean.

    - #### add

          public void add(double value,
                          long count)

      Adds a value count times to the arithmetic mean.
      Parameters:
        `value` - the value which should be added to the arithmetic mean.
        `count` - number of times the value should be added to arithmetic mean.

    - #### mean

          public double mean()

      Retrieves the mean of all values added with `add(double)` or 0 if there are zero added values.

    - #### count

          public long count()

      Retrieves the number of times a value was added to the mean.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026 The Apache Software Foundation. All rights reserved.